# Set card PIN

Sets a PIN during the card order flow. This endpoint will be accessible for partners that require to set a PIN during the card order flow.
Please follow [this guide](/guides/product/issue-cards/sensitive-card-details) to use this endpoint.
To use this endpoint, make sure to set the `api token` and the `card order id` in the headers.

Endpoint: POST /twcard-data/v1/sensitive-card-data/preset-pin
Version: 2026Q4
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Header parameters:

  - `x-tw-twcard-order-id` (string, required)
    The card order ID.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `keyVersion` (integer, required)
    The version of the key to use. It is always set to 1.
    Example: 1

  - `encryptedPayload` (string, required)
    Your [JWE payload](/guides/product/issue-cards/sensitive-card-details).
    Example: eyJhbGciOiJSU0...

## Response 200:

  - `200` (unknown)
    OK - PIN set successfully.

## Response 200 headers (text/plain):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

